Instagram not compatible with my phone?

  • Replies:14
  • OpenNot stickiedUnanswered

Apr 4, 2012 10:32:40 AM

Hi, I tried downloading instagram - and got the message that it isn't compatible with my phone. I see that instagram needs android2.2 which my phone has - so I don't understand why it is incompatible. can anyone tell me? thanks :)

(I have a huawei ideos)

Apr 4, 2012 6:06:51 PM

Hmm..are you sure you have android 2.2. What chipset does your device run? Odd, as the devs said it should run on any android 2.2 device.

Have you tried emailing the devs to ask them?

Apr 6, 2012 1:56:14 PM

Same thing here, I don't see the app in the play store on my phone and on my computer is says that my phone is not compatible.
"This app is incompatible with your Proximus HUAWEI Ideos."

Android version 2.2.1 indeed.

Apr 8, 2012 5:12:28 AM

Kelly N.
Hi, I tried downloading instagram - and got the message that it isn't compatible with my phone. I see that instagram needs android2.2 which my phone has - so I don't understand why it is incompatible. can anyone tell me? thanks :)

(I have a huawei ideos)

Jun 5, 2012 8:01:50 AM

Though instagram is compatible with Android 2.2 there are problems of instagram installation. It is mainly due to chipset. You have to upgrade your chipset to install this app

Jun 30, 2012 8:54:26 PM

how I made instagram work (was not compatible with my 2.2) was downloading the app Gingerbread 2.3 launcher and making it the default =)

— modified on Jun 30, 2012 8:59:38 PM